BCMP(3)

NAME
bcmp - compare byte strings

SYNOPSIS
#include <string.h>

int bcmp(const void *s1, const void *s2, size_t n);

DESCRIPTION
The bcmp() function compares the first n bytes of the strings s1 and s2. If the two strings are equal, bcmp() returns 0, otherwise it returns a non-zero result. If n is zero, the two strings are assumed to be equal.

RETURN VALUE
The bcmp() function returns 0 if the strings are equal, otherwise a non-zero result is returned.

CONFORMING TO
4.3BSD. This function is deprecated -- use memcmp in new programs.

SEE ALSO
memcmp(3), strcasecmp(3), strcmp(3), strcoll(3), strncmp(3), strncasecmp(3)